test-requirements.txt in ci-config still points to precise deb
Closed, ResolvedPublic

Description

test-requirements.txt
nose
PyYAML
git+https://gerrit.wikimedia.org/r/p/integration/jenkins-job-builder.git@master#egg=jenkins_job_builder
git+https://gerrit.wikimedia.org/r/p/integration/zuul.git@patch-queue/debian/precise-wikimedia#egg=zuul

The last line probably shouldn't point to precise-wikimedia.

Legoktm created this task.Apr 4 2017, 7:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 7:59 PM

Change 346360 had a related patch set (by Paladox) published:
[integration/config@master] Update test-requirement to use jessie rather then precise

https://gerrit.wikimedia.org/r/346360

Change 346360 abandoned by Hashar:
Update test-requirement to use jessie rather then precise

Reason:
There is no such branch patch-queue/debian/jessie-wikimedia

https://gerrit.wikimedia.org/r/346360

Paladox added a subscriber: Paladox.Apr 4 2017, 8:12 PM
hashar edited projects, added Zuul; removed Patch-For-Review.Apr 4 2017, 8:17 PM

The integration/zuul.git repository is a mess right now and the Debian packaging needs documentation T140912 In short:

branchDescription
upstreamWhatever version we want from upstream
patch-queue/debian/precise-wikimedia fork of upstream + cherry picks
debian/precise-wikimediaHas debian/ and the patches from patch-queue/debian/precise-wikimedia exported via gbp export
debian/jessie-wikimediaMerge of debian/precise-wikimedia + patches to adjust for Jessie

The trusty branches are out of date / abandoned.

So lot of clean up has to be done, namely:

  • promote jessie as the reference and redo the patches + cleanup the debian/jessie-wikimedia
  • archive *precise* branches
  • probably phase out trusty and use pip to install Zuul on the instances

I think we can remove trusty branches too as we doint use trusty any more in CI.

Probaly also want to support stretch at some point.

I think I did it correctly.

IE, do the zuul upgrade first then do this task.

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-releng) [2018-01-09T14:53:54Z] <hashar> Change integration/zuul.git HEAD from 'master' to 'patch-queue/debian/jessie-wikimedia' | T158243 T162191

hashar added a comment.Jan 9 2018, 2:55 PM

In Gerrit I have changed HEAD to point to patch-queue/debian/jessie-wikimedia which is the upstream version + our cherry picks. https://gerrit.wikimedia.org/r/#/admin/projects/integration/zuul,branches

So potentially we can then:

- git+https://gerrit.wikimedia.org/r/p/integration/zuul.git@patch-queue/debian/precise-wikimedia#egg=zuul
+ git+https://gerrit.wikimedia.org/r/p/integration/zuul.git#egg=zuul

But maybe it is better to explicitly list the branch we use?

Change 403167 had a related patch set uploaded (by Paladox; owner: Paladox):
[integration/config@master] Switch from precise to jessie in test-requirements.txt

https://gerrit.wikimedia.org/r/403167

Change 403167 merged by jenkins-bot:
[integration/config@master] Switch from precise to jessie in test-requirements.txt

https://gerrit.wikimedia.org/r/403167

Paladox closed this task as Resolved.Jan 16 2018, 1:58 AM
Paladox claimed this task.

The change was merged :)

Paladox removed a subscriber: gerritbot.